using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataBindingFundamentalsSample {
  public partial class DataSetDataSourceForm : Form {
    public DataSetDataSourceForm() {
      InitializeComponent();
    }

    private void DragAndDropDataSetForm_Load(object sender, EventArgs e) {
      // Load data from database
      this.employeesTableAdapter.Fill(this.northwindDataSet.Employees);
    }
    
    private void employeesBindingNavigatorSaveItem_Click(object sender, EventArgs e) {
      // Save data back to database
      this.Validate();
      this.employeesBindingSource.EndEdit();
      this.employeesTableAdapter.Update(this.northwindDataSet.Employees);
    }
  }
}