using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;

namespace MDIClient {
  static class Program {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main(string[] args) {
      Application.EnableVisualStyles();
      
      MdiParentForm form = new MdiParentForm();
      
      // Load main form, taking command line into account
      if( args.Length == 1 ) {
        form.OpenDocument(Path.GetFullPath(args[0]));
      }

      Application.Run(form);      
    }
  }
}