using System;
using System.Collections;

/// <summary>
/// WahooScoreComparer for sorting Wahoo scores
/// </summary>
public class WahooScoreComparer : IComparer {
  #region Implementation of IComparer
  public int Compare(object x, object y) {
    WahooScore score1 = (WahooScore)x;
    WahooScore score2 = (WahooScore)y;
    if( score1.Score < score2.Score ) return 1;
    else if( score1.Score > score2.Score ) return -1;
    else return 0;
  }
  #endregion
}