using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace TreeViewListViewDragAndDropSample {
  public class ItemHolderTreeNode : TreeNode {
    private List<ListViewItem> listViewItems = new List<ListViewItem>();
    public ItemHolderTreeNode(string text, List<ListViewItem> listViewItems) {
      this.Text = text;
      if( listViewItems != null ) {
        this.listViewItems = listViewItems;
      }
    }
    public List<ListViewItem> ListViewItems {
      get { return listViewItems; }
      set { listViewItems = value; }
    }
  }
}
